Package ch.qos.logback.classic.sift

## Class SiftingAppender

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<E>
    - - ch.qos.logback.core.sift.SiftingAppenderBase<ILoggingEvent>
      - - ch.qos.logback.classic.sift.SiftingAppender

All Implemented Interfaces:
  `Appender<ILoggingEvent>`, `ContextAware`, `FilterAttachable<ILoggingEvent>`, `LifeCycle`

    public class SiftingAppender
    extends SiftingAppenderBase<ILoggingEvent>

This appender can contains other appenders which it can build dynamically depending on MDC values. The built appender is specified as part of a configuration file.

See the logback manual for further details.

Author:
  Ceki Gulcu

### Field Summary

### Fields inherited from class ch.qos.logback.core.sift.SiftingAppenderBase

`appenderTracker`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`SiftingAppender()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `eventMarksEndOfLife​(ILoggingEvent event)`
`protected long` `getTimestamp​(ILoggingEvent event)`
`void` `setDiscriminator​(Discriminator<ILoggingEvent> discriminator)`

### Methods inherited from class ch.qos.logback.core.sift.SiftingAppenderBase

`append, getAppenderTracker, getDiscriminator, getDiscriminatorKey, getMaxAppenderCount, getTimeout, setAppenderFactory, setMaxAppenderCount, setTimeout, start, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### SiftingAppender

    public SiftingAppender()

### Method Detail

#### getTimestamp

    protected long getTimestamp​(ILoggingEvent event)

Specified by:
  `getTimestamp` in class `SiftingAppenderBase<ILoggingEvent>`

#### setDiscriminator

    public void setDiscriminator​(Discriminator<ILoggingEvent> discriminator)

Overrides:
  `setDiscriminator` in class `SiftingAppenderBase<ILoggingEvent>`

#### eventMarksEndOfLife

    protected boolean eventMarksEndOfLife​(ILoggingEvent event)

Specified by:
  `eventMarksEndOfLife` in class `SiftingAppenderBase<ILoggingEvent>`